Bug 306541 - 'Click to install' doesn't
'Click to install' doesn't
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: bigboard (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 05:00 EDT by Tim Waugh
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 09:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bigboard-packageNames.patch (787 bytes, patch)
2007-09-26 05:00 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2007-09-26 05:00:12 EDT
Description of problem:
When one of my 'popular applications' is not installed it shows in the
Applications list with '(Click to install)' underneath, but clicking gives a
traceback in .xsession-errors:

Traceback (most recent call last):
  File "/usr/share/bigboard/stocks/apps/AppsStock.py", line 398, in <lambda>
    display.connect("button-press-event", lambda display, event: display.launch()) 
  File "/usr/share/bigboard/stocks/apps/apps_widgets.py", line 96, in launch
    self.__app.launch()
  File "/usr/share/bigboard/stocks/apps/AppsStock.py", line 164, in launch
    global_mugshot.get_mugshot().install_application(self.__app.get_id(),
self.__app.get_package_names(), self.__app.get_desktop_names())            
  File "/usr/lib64/python2.5/site-packages/bigboard/global_mugshot.py", line
651, in install_application
    self.__mugshot_dbus_proxy.InstallApplication(self.__endpoint_id, id,
package_names, desktop_names)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 135, in __call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 593, in
call_blocking
    message.append(signature=signature, *args)
TypeError: Don't know how which D-Bus type to use to encode type "NoneType"

Version-Release number of selected component (if applicable):
0.5.18-1.fc8

How reproducible:
100%

Fix attached (am I a cool online desktop hacker now?).
Comment 1 Tim Waugh 2007-09-26 05:00:12 EDT
Created attachment 206641 [details]
bigboard-packageNames.patch
Comment 2 Colin Walters 2007-09-27 09:55:41 EDT
Looks good, thanks!  Committed upstream.

Note You need to log in before you can comment on or make changes to this bug.